/* multimon - prototypes and structures for multimon.c

   Copyright (C) 1999  Russell Kroll <rkroll@exploits.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

void do_model(char *monhost);
void do_status(char *monhost);
void do_upstemp(char *monhost);
void do_upstempc(char *monhost);
void do_upstempf(char *monhost);
void do_ambtemp(char *monhost);
void do_ambtempc(char *monhost);
void do_ambtempf(char *monhost);
void do_utility(char *monhost);

struct {
	char	*name;
	void	(*func)(char *monhost);
}	fields[] =
{
	{ "MODEL",	do_model		},
	{ "STATUS",	do_status		},
	{ "UPSTEMP",	do_upstemp		},
	{ "UPSTEMPC",	do_upstempc		},
	{ "UPSTEMPF",	do_upstempf		},
	{ "AMBTEMP",	do_ambtemp		},
	{ "AMBTEMPC",	do_ambtempc		},
	{ "AMBTEMPF",	do_ambtempf		},
	{ "UTILITY", 	do_utility		},
	{ NULL,		(void(*)())(NULL)	}
};
