/* upsc - simple "client" to test communications 

   Copyright (C) 1999  Russell Kroll <rkroll@exploits.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#include "common.h"
#include <netdb.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include "upsfetch.h"

int main (int argc, char **argv)
{
	char	vars[LARGEBUF], value[128], *v, *ptr;

	if (argc < 2) {
		printf ("usage: %s <host>\n", argv[0]);
		exit (1);
	}

	if (getupsvarlist(argv[1], vars, sizeof(vars)) < 0) {
		printf ("Unable to get variable list - %s\n", 
		        upsstrerror(upserror));
		exit (1);
	}

	printf ("host: %s\n", argv[1]);

	if (strlen(vars) == 0) {
		printf ("No variables available!  Check your configuration (ups.conf and upsd.conf)\n");
		exit (1);
	}

	v = vars;
	while (v != NULL) {
		ptr = strchr (v, ' ');
		if (ptr)
			*ptr++ = '\0';

		printf ("%s: ", v);
		if (getupsvar(argv[1], v, value, sizeof(value)) < 0)
			printf ("Error: %s\n", upsstrerror(upserror));
		else
			printf ("%s\n", value);

		v = ptr;
	}		

	return (0);
}
